import static org.junit.Assert.assertEquals;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;

import org.junit.Test;

/**
 * CIS 1210, Explosive Debugging
 *
 * @author blank, 22su
 * @author huangtif, 22fa
 */
public class BombTests {
    @Test
    public void testBombMain() {
        PrintStream systemErr = System.err;
        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
        System.setErr(new PrintStream(outputStream));
        BombMain.main(null);
        System.setErr(systemErr);

        String output = outputStream.toString();
        System.out.println(output);
        String[] lines = output.split("\r?\n");
        assertEquals(54955992, lines[0].split("\"")[1].hashCode());
        assertEquals(103143, lines[1].split("\"")[1].hashCode());
        assertEquals(-1099484678, lines[2].split("\"")[1].split(" ")[5000].hashCode());
    }
}
